#ifndef FRAME_CPP_INTERFACE__FrSimData_HH
#define FRAME_CPP_INTERFACE__FrSimData_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/simdata.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef SimData FrSimData;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrSimData.hh"
#else
#error :TODO: bad version
#endif

namespace FrameCPP
{
  typedef Version::FrSimData FrSimData;
}

#endif /* FRAME_CPP_INTERFACE__FrSimData_HH */
