#ifndef FRAME_CPP_INTERFACE__FrSimEvent_HH
#define FRAME_CPP_INTERFACE__FrSimEvent_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/simevent.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef SimEvent FrSimEvent;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrSimEvent.hh"
#else
#error Unsupported version
#endif

namespace FrameCPP
{
  typedef Version::FrSimEvent FrSimEvent;
}

#endif /* FRAME_CPP_INTERFACE__FrSimEvent_HH */
