#ifndef FRAME_CPP_INTERFACE__FrTable_HH
#define FRAME_CPP_INTERFACE__FrTable_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/table.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef Table FrTable;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrTable.hh"
#else
#error Unsupported Frame specification
#endif

namespace FrameCPP
{
  typedef Version::FrTable FrTable;
}

#endif /* FRAME_CPP_INTERFACE__FrTable_HH */
