#ifndef FRAME_CPP_INTERFACE__FrSerData_HH
#define FRAME_CPP_INTERFACE__FrSerData_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/serdata.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef SerData FrSerData;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrSerData.hh"
#else
#error :TODO: bad version number
#endif

namespace FrameCPP
{

  typedef Version::FrSerData FrSerData;
}

#endif /* FRAME_CPP_INTERFACE__FrSerData_HH */
